#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_INSTALL_EXTRA := assets/themes

include /usr/share/dpkg/pkg-info.mk

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	dh_auto_build -- -ldflags \
		"-X github.com/gcla/termshark.Version=$(DEB_VERSION_UPSTREAM)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
